SPA Render Data

SPA: Updates a Render Data

Updates an existing render data.

PATCH/api/spa/render-data/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

RenderData identifier

Request Body

application/json
required

The updated RenderData resource

{
  "id": 12345,
  "value": {
    "contract": {
      "email": "john.doe@output.rocks"
    },
    "invoiceNumber": "123456",
    "invoiceDate": "12 March 2022",
    "items": [
      {
        "qty": "3",
        "ItemName": "ACP101 Accounting Package",
        "amt": "1350.00"
      },
      {
        "qty": "4.5",
        "ItemName": "ACP101S Standard Support",
        "amt": "450.00"
      },
      {
        "qty": "10",
        "ItemName": "ACP101T Online Training",
        "amt": "1200.00"
      }
    ]
  },
  "renderingRequestId": 123,
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "subClient": {},
  "subClientId": 3,
  "subClientDescription": "Branch Office A",
  "subClientColor": "#083E5D"
}

Response

200application/json

RenderData resource updated

id
integer

RenderData ID generated by Output.Rocks.

Example: 12345

value
object

Data Object

Example: {"contract":{"email":"john.doe@output.rocks"},"invoiceNumber":"123456","invoiceDate":"12 March 2022","items":[{"qty":"3","ItemName":"ACP101 Accounting Package","amt":"1350.00"},{"qty":"4.5","ItemName":"ACP101S Standard Support","amt":"450.00"},{"qty":"10","ItemName":"ACP101T Online Training","amt":"1200.00"}]}

appValue
string | null[]
renderingRequestId
integer | null

ID of the RenderingRequest associated with this render data.

emailProcesses
object[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"